Skip to main content
POST
/
api
/
accounts
/
{id}
/
margin-check
Margin check
curl --request POST \
  --url https://api.easierprop.com/api/accounts/{id}/margin-check \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "symbol": "EURUSD",
  "side": "buy",
  "volume": 0.01
}
'
{
  "ok": true,
  "data": {
    "symbol": "EURUSD",
    "side": "buy",
    "volume": 0.01,
    "required_margin": 500,
    "free_margin": 9642.5,
    "can_trade": true,
    "margin_usage_pct": 4.93,
    "remaining_after": 9142.5
  }
}

Authorizations

X-API-Key
string
header
required

Client API key (prefixed with sk_)

Path Parameters

id
string<uuid>
required

Account ID

Body

application/json
symbol
string
required
Example:

"EURUSD"

side
enum<string>
required
Available options:
buy,
sell
Example:

"buy"

volume
number
required
Example:

0.01

Response

200 - application/json

Margin check result

ok
boolean
Example:

true

data
object